    The XSPEC absori model: ionized absorber.

xsabsori
The xsabsori model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xsabsori", "mdl")
>>> print(mdl)

Create a component of the xsabsori model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.PhoIndex frozen 2 0 4 mdl.nH thawed 1 0 100 10^22 atoms / cm^2 mdl.Temp_abs frozen 30000 10000 1e+06 K mdl.xi thawed 1 0 5000 mdl.redshift frozen 0 -0.999 10 mdl.Fe_abund frozen 1 0 1e+06

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
PhoIndex
The power-law photon index.
nH
The Hydrogen column, in units of 10^22 cm^-2.
Temp_abs
The absorber temperature, in K.
xi
The absorber ionization state. See [1] for more details.
redshift
The redshift of the absorber.
Fe_abund
The iron abundance with respect to solar, as set by the

set_xsabund function.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelAbsori.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023